MODBUS_READ_BITS(3)

NAME
modbus_read_bits - read many bits

SYNOPSIS

int modbus_read_bits(modbus_t *ctx, int addr, int nb, uint8_t *dest);

DESCRIPTION

The modbus_read_bits() function shall read the status of the nb bits (coils) to the address addr of the remote device. The result of reading is stored in dest array as unsigned bytes (8 bits) set to TRUE or FALSE.

You must take care to allocate enough memory to store the results in dest (at least nb * sizeof(uint8_t)).

The function uses the Modbus function code 0x01 (read coil status).

RETURN VALUE

The modbus_read_bits() function shall return the number of read bits if successful. Otherwise it shall return -1 and set errno.

ERRORS

EMBMDATA
    Too many bits requested

SEE ALSO

modbus_write_bit(3) modbus_write_bits(3)

AUTHORS

The libmodbus documentation was written by Stéphane Raimbault <stephane.raimbault@gmail.com[1]>

NOTES

1.  stephane.raimbault@gmail.com
    mailto:stephane.raimbault@gmail.com